## ale 0.3.0

=== DESCRIPTION ===
Package: ale
Title: Interpretable Machine Learning and Statistical Inference with
        Accumulated Local Effects (ALE)
Version: 0.3.0
Authors@R: c(
    person("Chitu", "Okoli", , "Chitu.Okoli@skema.edu", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0001-5574-7572")),
    person("Dan", "Apley", role = "cph", comment = "The current code for calculating ALE interaction values is copied with few changes from Dan Apley's ALEPlot package. We gratefully acknowledge his open-source contribution. However, he was not directly involved in the development of this ale package.")
	)
Description: Accumulated Local Effects (ALE) were initially developed as a model-agnostic approach for global explanations of the results of black-box machine learning algorithms. ALE has a key advantage over other approaches like partial dependency plots (PDP) and SHapley Additive exPlanations (SHAP): its values represent a clean functional decomposition of the model. As such, ALE values are not affected by the presence or absence of interactions among variables in a mode. Moreover, its computation is relatively rapid. This package rewrites the original code from the 'ALEPlot' package for calculating ALE data and it completely reimplements the plotting of ALE values. It also extends the original ALE concept to add bootstrap-based confidence intervals and ALE-based statistics that can be used for statistical inference. For more details, see Okoli, Chitu. 2023. “Statistical Inference Using Machine Learning and Classical Techniques Based on Accumulated Local Effects (ALE).” arXiv. <arXiv:2310.09877>. <doi:10.48550/arXiv.2310.09877>.
License: GPL-2
Language: en-ca
Encoding: UTF-8
RoxygenNote: 7.3.1
Suggests: ALEPlot, knitr, mgcv, patchwork, readr, rmarkdown, testthat
        (>= 3.0.0)
VignetteBuilder: knitr
Imports: assertthat, broom, dplyr, ellipsis, furrr, future, ggplot2,
        ggpubr, glue, grDevices, insight, labeling, progressr, purrr,
        rlang, stats, stringr, tidyr, univariateML, yaImpute
Depends: R (>= 3.5.0)
URL: https://github.com/tripartio/ale, https://tripartio.github.io/ale/
BugReports: https://github.com/tripartio/ale/issues
Config/testthat/edition: 3
LazyData: true
NeedsCompilation: no
Packaged: 2024-02-13 17:09:59 UTC; chitu
Author: Chitu Okoli [aut, cre] (<https://orcid.org/0000-0001-5574-7572>),
  Dan Apley [cph] (The current code for calculating ALE interaction
    values is copied with few changes from Dan Apley's ALEPlot package.
    We gratefully acknowledge his open-source contribution. However, he
    was not directly involved in the development of this ale package.)
Maintainer: Chitu Okoli <Chitu.Okoli@skema.edu>
Repository: CRAN
Date/Publication: 2024-02-14 00:04:05 UTC
