## ale 0.5.0

=== DESCRIPTION ===
Package: ale
Title: Interpretable Machine Learning and Statistical Inference with
        Accumulated Local Effects (ALE)
Version: 0.5.0
Authors@R: c(
    person("Chitu", "Okoli", , "Chitu.Okoli@skema.edu", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0001-5574-7572"))
	)
Description: Accumulated Local Effects (ALE) were initially developed as a model-agnostic approach for global explanations of the results of black-box machine learning algorithms. ALE has a key advantage over other approaches like partial dependency plots (PDP) and SHapley Additive exPlanations (SHAP): its values represent a clean functional decomposition of the model. As such, ALE values are not affected by the presence or absence of interactions among variables in a mode. Moreover, its computation is relatively rapid. This package reimplements the algorithms for calculating ALE data and develops highly interpretable visualizations for plotting these ALE values. It also extends the original ALE concept to add bootstrap-based confidence intervals and ALE-based statistics that can be used for statistical inference. For more details, see Okoli, Chitu. 2023. “Statistical Inference Using Machine Learning and Classical Techniques Based on Accumulated Local Effects (ALE).” arXiv. <doi:10.48550/arXiv.2310.09877>.
License: MIT + file LICENSE
Language: en-ca
Encoding: UTF-8
RoxygenNote: 7.3.2
Suggests: ALEPlot, gbm, knitr, mgcv, nnet, readr, rmarkdown, testthat
        (>= 3.0.0), yaImpute
VignetteBuilder: knitr
Imports: broom, cli, dplyr, furrr, future, ggplot2, insight, methods,
        patchwork, progressr, purrr, rlang, S7, staccuracy, stats,
        stringr, tidyr, univariateML, utils
Depends: R (>= 4.2.0)
URL: https://github.com/tripartio/ale, https://tripartio.github.io/ale/
BugReports: https://github.com/tripartio/ale/issues
Config/testthat/edition: 3
Config/testthat/parallel: true
Config/testthat/start-first: ALE-numerical, ALE-binary,
        ALE-categorical, ModelBoot, ALEPlot-gold-standard, ALEpDist
LazyData: true
NeedsCompilation: no
Packaged: 2025-04-09 20:29:12 UTC; chitu
Author: Chitu Okoli [aut, cre] (<https://orcid.org/0000-0001-5574-7572>)
Maintainer: Chitu Okoli <Chitu.Okoli@skema.edu>
Repository: CRAN
Date/Publication: 2025-04-09 20:50:02 UTC
