## ale 0.5.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ale
 Title: Interpretable Machine Learning and Statistical Inference with
         Accumulated Local Effects (ALE)
-Version: 0.5.0
+Version: 0.5.2
 Authors@R: c(
     person("Chitu", "Okoli", , "Chitu.Okoli@skema.edu", role = c("aut", "cre"),
            comment = c(ORCID = "0000-0001-5574-7572"))
@@ -11,8 +11,8 @@
 Language: en-ca
 Encoding: UTF-8
 RoxygenNote: 7.3.2
-Suggests: ALEPlot, gbm, knitr, mgcv, nnet, readr, rmarkdown, testthat
-        (>= 3.0.0), yaImpute
+Suggests: gbm, knitr, mgcv, nnet, readr, rmarkdown, testthat (>=
+        3.0.0), yaImpute
 VignetteBuilder: knitr
 Imports: broom, cli, dplyr, furrr, future, ggplot2, insight, methods,
         patchwork, progressr, purrr, rlang, S7, staccuracy, stats,
@@ -26,8 +26,8 @@
         ALE-categorical, ModelBoot, ALEPlot-gold-standard, ALEpDist
 LazyData: true
 NeedsCompilation: no
-Packaged: 2025-04-09 20:29:12 UTC; chitu
-Author: Chitu Okoli [aut, cre] (<https://orcid.org/0000-0001-5574-7572>)
+Packaged: 2025-08-28 06:58:29 UTC; chitu
+Author: Chitu Okoli [aut, cre] (ORCID: <https://orcid.org/0000-0001-5574-7572>)
 Maintainer: Chitu Okoli <Chitu.Okoli@skema.edu>
 Repository: CRAN
-Date/Publication: 2025-04-09 20:50:02 UTC
+Date/Publication: 2025-08-29 11:00:21 UTC
