## ale 0.9.0.3

=== doc/Makefile ===
--- 
+++ 
@@ -60,7 +60,7 @@
 # possible values for TXT_MAKER are:
 #   links|lynx|w3m|w3mmee
 TXT_MAKER = links
-TXT_MAKER_FLAGS = -dump -no-numbering -no-references
+TXT_MAKER_FLAGS = -dump
 
 # xsl
 XSLT = xsltproc
