=== debian/changelog ===
ale (0.9.0.3-5) unstable; urgency=medium

  * QA upload.
  * Mark the autopkgtest as superficial.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 05 Sep 2020 19:12:01 +0200

ale (0.9.0.3-4) unstable; urgency=medium

  * QA upload.
  * debian/compat: removed.
  * debian/control:
      - Bumped DH level to 12.
      - Bumped Standards-Version to 4.4.0.
      - Removed dh-autoreconf because debhelper-compat contain it yet.
      - Updated Homepage field. Closes: #738763
  * debian/copyright:
      - Added safe uri (https) to Format.
      - Full updated.
  * debian/patches/20_fix-deprecated-function.patch: created to remove a
    deprecated Perl function.
  * debian/tests/control: created.
  * debian/upstream/metadata: created.
  * debian/watch: full updated.

 -- Daniel Pimentel <d4n1@d4n1.org>  Fri, 06 Sep 2019 17:33:01 +0000

ale (0.9.0.3-3) unstable; urgency=medium

  * QA upload.
  * Bumped DH level to 10.
  * Using dh-autoreconf now.
  * debian/control: bumped Standards-Version to 3.9.8.
  * debian/copyright: updated the packaging copyright years.
  * debian/patches/fix_string_issue: renamed to 10_fix-string-issue.patch.
  * debian/watch: bumped to version 4.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 26 Dec 2016 00:03:56 -0200

ale (0.9.0.3-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer as Debian QA Group <packages@qa.debian.org>
  * Added a patch to avoid direct upstream source code modification.
  * Set Standards-Version as 3.9.6.
  * Switched the source format to 3.0 (quilt).
  * Update DH level to 9.
  * debian/copyright:
      - Updated to 1.0 format.
      - Updated all information about the upstream authors and the packaging.
  * debian/manpages: added to install the manpages.
  * debian/rules:
      - Added the variable 'DEB_BUILD_MAINT_OPTIONS' to add all flags
        requested by blhc command.
      - Now using debhelper only.
  * debian/watch: updated. The original upstream site no longer exist but
      there are alternative repositories.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 21 Nov 2014 17:01:18 -0200

ale (0.9.0.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: ui/unsupported.h:35:30: error: format not a string
    literal and no format arguments [-Werror=format-security]":
    apply patch from Bart Martens.
    (Closes: #643348)

 -- gregor herrmann <gregoa@debian.org>  Wed, 12 Oct 2011 22:37:59 +0200

ale (0.9.0.3-1) unstable; urgency=low

  * New Upstream version
  * Removing old patch no longer needed.
  * Standards-Version updated to 3.8.2 (no changes)
  * Updated debian/copyright
  * Converted to dh7 tiny rules.

 -- Ruben Molina <rmolina@udea.edu.co>  Wed, 01 Jul 2009 22:13:37 -0500

ale (0.9.0.1-2) unstable; urgency=low

  * Added a patch fixing a bashism on ale wrapper (Closes: #505290).

 -- Ruben Molina <rmolina@udea.edu.co>  Tue, 11 Nov 2008 10:02:04 -0500

ale (0.9.0.1-1) unstable; urgency=low

  * New Upstream version
  * Standards-Version updated to 3.8.0

 -- Ruben Molina <rmolina@udea.edu.co>  Mon, 16 Jun 2008 09:20:37 -0500

ale (0.9.0-2) unstable; urgency=low

  * Added a patch for a missing include (Closes: #482765).
  * Fixed a bug in debian/watch

 -- Ruben Molina <rmolina@udea.edu.co>  Sun, 25 May 2008 13:43:00 -0500

ale (0.9.0-1) unstable; urgency=low

  * New maintainer (Closes: #481384).
  * New Upstream version (Closes: #325491).
  * Added binary-indep target (Closes: #395670).
  * Acknowledge previous NMU.
  * Updated ale man pages.
  * Standards-Version updated.
  * Homepage field added.
  * Converted to CDBS.

 -- Ruben Molina <rmolina@udea.edu.co>  Sat, 24 May 2008 00:25:04 -0500

ale (0.7.1-2) unstable; urgency=low

  * Orphaning ale.
    + Maintainer now QA Group.

 -- Nick Rusnov <nickrusnov@debian.org>  Wed, 14 May 2008 17:03:45 -0700

ale (0.7.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Cleanup to bring all architectures in sync again.
  * Replace fftw3-dev by libfftw3-dev in build-deps.

 -- Andreas Barth <aba@not.so.argh.org>  Tue, 26 Feb 2008 19:06:52 +0000

ale (0.7.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Imagemagick transition (Closes: #325490, #332451).

 -- Luk Claes <luk@debian.org>  Thu, 27 Oct 2005 18:17:46 +0200

ale (0.7.1-1) unstable; urgency=low

  * New upstream versions.
    + Many, many upstream changes, enhancements, etc. Please see upstream changelog.
  * Updated man page: Because upstream is fairly fast-moving and the arguments
    highly technical, it only documents the help options and advises the user to see
    the upstream user's guide (also, ale now contains all the same information in the
    binary itself that would be shown in the manual page).
  * Build against fftw3 in order to enable the --fl argument for more efficient
    fourier transforms in Irani-Peleg transforms.
  * Updated email address in copyright file.

 -- Nick Rusnov <nickrusnov@debian.org>  Mon, 20 Sep 2004 08:49:09 -0700

ale (0.5.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Medium urgency to facilitate the libtiff transition.
  * Rebuild without using Magick-config --libs, removing excess
    dependencies on image libraries (closes: #262786).

 -- Steve Langasek <vorlon@debian.org>  Sun,  1 Aug 2004 23:24:43 -0700

ale (0.5.1-2) unstable; urgency=low

  * Fix dependency on libmagick (Closes: #247623)
  * Remove Dependency on libstdc++ (Closes: #249939)
  * Add -lWand to Makefile

 -- Nick Rusnov <nickrusnov@debian.org>  Tue, 15 Jun 2004 15:15:35 -0700

ale (0.5.1-1) unstable; urgency=low

  * New upstream versions.
    + Adds Irani-Peleg image reconstruction filter
    + Adds Drizzling for positioning
    + Adds edge following and image expanding, which can be used to
      create image mosaics and panoramas.
    + Many other bug fixes and enhancements (see upstream changelog).
  * Applied upstream patches against 0.5.1 (patch1, patch2 and patch3).

