=== debian/control ===
Source: ale
Section: graphics
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.4.0
Homepage: https://repo.or.cz/Ale.git

Package: ale
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: synthetic capture engine and renderer
 ALE aligns and merges several similar images from a digitizing device
 (such as a digital camera or scanner) into a single image.  This operation
 can create a higher fidelity image by using details from several separate
 images combined into the final image. It can also be used to merge the
 images into a mosaic or panoramic image.
