=== debian/tests/control ===
Test-Command: ale --version
Restrictions: superficial
