=== debian/watch ===
version=4
https://repo.or.cz/Ale.git/refs .*/shortlog/refs/tags/(\d\S+)
